
//*****************************************************************************************//
//                                      Includes                                           //
//*****************************************************************************************//

#include "includes.all"

//*****************************************************************************************//
//                                       Camera                                            //
//*****************************************************************************************//

Camera *camera = NULL;

void Camera::setup () {
	camera = new Camera;
	Point backward = {0.0, 0.0, 20}; //+20 is out of the screen.
	camera->moveBy (backward);
}

void Camera::wrapup () {
	delete camera;
}

void Camera::tick () {
	//Deal with user desires... Information that came from the arrow keys and/or the mouse.
}

void Camera::draw () {
	//Normally, the camera is invisible but you might consider drawing a cursor in the center of the screen.
}

void Camera::pushMatrix () {
	glPushMatrixd (cameraMatrix.inverse);
}

void Camera::popMatrix () {
	glPopMatrix ();
}
