//*****************************************************************************************//
//                                      File Dialog                                        //
//*****************************************************************************************//

#ifndef fileDialogModule
#define fileDialogModule 

enum DirectoryChoice {MapChoice, WorldChoice, TextureChoice, AnyChoice};

void useDirectory (DirectoryChoice choice);
void memorizeDirectoryUsed (DirectoryChoice choice);

char *promptForMapRead ();
char *promptForMapWrite ();

char *promptForWorldRead ();
char *promptForWorldWrite ();

char *promptForTextureRead ();
char *promptForTextureWrite ();

char *promptForAnyRead ();
char *promptForAnyWrite ();

#endif