
#ifndef loggingModule
#define loggingModule 

//*****************************************************************************************//
//                                      Includes                                           //
//*****************************************************************************************//

#include <stdio.h> //For file manipulation.
#include <windows.h> //For va_start, ShowCursor.
#include <stdlib.h> //For _fullpath.
#include <mmsystem.h> //For time

//*****************************************************************************************//
//                                      Externals                                          //
//*****************************************************************************************//

long timeNow ();
void log (char *message, ...);
void prompt (char *message, ...);
void quit (char *message, ...);
#define help() {_asm {int 3}} //Stops execution and opens the debugger.
#define halt help (); log //Usage: halt ("\nProblem in iteration %d.", iteration);
char *asString (char *message, ...);

#endif