
//*****************************************************************************************//
//                                      Includes                                           //
//*****************************************************************************************//

#include "includes.all"

//*****************************************************************************************//
//                                       World                                             //
//*****************************************************************************************//

World *world = NULL;

void World::setup () {
	//Nothing to do so far.
}

void World::wrapup () {
}

void World::tick () {
	//Tick all the objects in the world such as doors, sun, weather...
}

void World::draw () {
	//Draw all the objects in the world such as terrain, buildings, etc.
}

World *World::load () {
	//Prompt for a ".wrl" file (THIS IS YOUR OWN PERSONAL FORMAT) and reads it in to
	//a brand new world. You should also load all the textures you ultimately need
	//into the game card (see class Texture for how to do this to an individual texture).

	//Note: many faces will have the same texture name... Don't read it the texture bits
	//multiple times. The best way to do this is have collected the texture names together 
	//in one collection and output them before any of the objects are output.
	//Then, when you read the names in here, you can create a corresponding texture object.
	//Subsequently, when you read a face in, you can look up the texture object with that name.
 
	char *filename = promptForWorldRead ();
	World *world = new World;

	//Read in ".wrl" data and insert into "world".
	//...

	return world;
}

void World::unload () {
	//Unload all of the textures prior to deleting the world...
}